<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the first needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientBase class (each generated ServiceType class extends this class)
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://propertyware.com/pw/services/PWServices?wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc...
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://propertyware.com/pw/services/PWServices?wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for Get ServiceType
 */
$get = new \ServiceType\Get($options);
/**
 * Sample call for getVendorTypes operation/method
 */
if ($get->getVendorTypes() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getNsfDTO operation/method
 */
if ($get->getNsfDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPWFinanceObject operation/method
 */
if ($get->getPWFinanceObject() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getDirectDepositChecks operation/method
 */
if ($get->getDirectDepositChecks($lastSync, $cutoffDate, $portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLineItemsForJournalEntry operation/method
 */
if ($get->getLineItemsForJournalEntry($txID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getVendorDTO operation/method
 */
if ($get->getVendorDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPortfolioDTO operation/method
 */
if ($get->getPortfolioDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getOwnerSearchCriteria operation/method
 */
if ($get->getOwnerSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeaseJournalEntryDetail operation/method
 */
if ($get->getLeaseJournalEntryDetail() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeaseJournalEntry operation/method
 */
if ($get->getLeaseJournalEntry() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeaseCharge operation/method
 */
if ($get->getLeaseCharge() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeasePaymentDetail operation/method
 */
if ($get->getLeasePaymentDetail() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeasePrepaymentDetailDTO operation/method
 */
if ($get->getLeasePrepaymentDetailDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeaseDiscountDTO operation/method
 */
if ($get->getLeaseDiscountDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeaseAppliedDiscountDTO operation/method
 */
if ($get->getLeaseAppliedDiscountDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeaseCreditDetailDTO operation/method
 */
if ($get->getLeaseCreditDetailDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeaseCreditDTO operation/method
 */
if ($get->getLeaseCreditDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeaseRefundDTO operation/method
 */
if ($get->getLeaseRefundDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getVendorBillDetail operation/method
 */
if ($get->getVendorBillDetail() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getVendorBillPaymentDetail operation/method
 */
if ($get->getVendorBillPaymentDetail() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getOwnerJournalEntryDetail operation/method
 */
if ($get->getOwnerJournalEntryDetail() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeaseSearchCriteria operation/method
 */
if ($get->getLeaseSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBuildingSearchCriteria operation/method
 */
if ($get->getBuildingSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPortfoliosV2 operation/method
 */
if ($get->getPortfoliosV2(new \StructType\PortfolioSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkOrderSearchCriteria operation/method
 */
if ($get->getWorkOrderSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getUnitSearchCriteria operation/method
 */
if ($get->getUnitSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCampaignSearchCriteria operation/method
 */
if ($get->getCampaignSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyLeaseLedger operation/method
 */
if ($get->getReadOnlyLeaseLedger(new \StructType\ReadOnlyLeaseLedgerSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyLeaseChargeDTO operation/method
 */
if ($get->getReadOnlyLeaseChargeDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyLeaseCreditDTO operation/method
 */
if ($get->getReadOnlyLeaseCreditDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyLeaseDiscountDTO operation/method
 */
if ($get->getReadOnlyLeaseDiscountDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyLeaseJournalEntryDTO operation/method
 */
if ($get->getReadOnlyLeaseJournalEntryDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyLeaseJournalEntryDetailDTO operation/method
 */
if ($get->getReadOnlyLeaseJournalEntryDetailDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyLeasePaymentDTO operation/method
 */
if ($get->getReadOnlyLeasePaymentDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyLeaseRefundDTO operation/method
 */
if ($get->getReadOnlyLeaseRefundDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBuildingInsuranceCarrierDTO operation/method
 */
if ($get->getBuildingInsuranceCarrierDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getDocumentsForDocumentHolder operation/method
 */
if ($get->getDocumentsForDocumentHolder(new \StructType\AbstractFinancialDocumentHolder()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBudgetSearchCriteria operation/method
 */
if ($get->getBudgetSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBillSearchCriteria operation/method
 */
if ($get->getBillSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getVendorByName operation/method
 */
if ($get->getVendorByName($name) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getVoidedBillPayments operation/method
 */
if ($get->getVoidedBillPayments($lastSync, $cutoffDate, $portfolioIds, $group) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBuildingsV2 operation/method
 */
if ($get->getBuildingsV2() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBuildingListGroupCount operation/method
 */
if ($get->getBuildingListGroupCount($orgID, $lastModified) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPublishedUnitList operation/method
 */
if ($get->getPublishedUnitList($orgID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPaymentMethodList operation/method
 */
if ($get->getPaymentMethodList() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getRefunds operation/method
 */
if ($get->getRefunds($lastSync, $cutoffDate, $portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getFinanceObject operation/method
 */
if ($get->getFinanceObject($id) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAllTenants operation/method
 */
if ($get->getAllTenants($leaseID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBillsForPayment operation/method
 */
if ($get->getBillsForPayment($billPaymentID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getRefundDTO operation/method
 */
if ($get->getRefundDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getOwnerDrawDTO operation/method
 */
if ($get->getOwnerDrawDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCheckDTO operation/method
 */
if ($get->getCheckDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getJournalEntryDTO operation/method
 */
if ($get->getJournalEntryDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBillDTO operation/method
 */
if ($get->getBillDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBillSplitDTO operation/method
 */
if ($get->getBillSplitDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeasingAgentsForBuilding operation/method
 */
if ($get->getLeasingAgentsForBuilding($buildingID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAppointmentsByDate operation/method
 */
if ($get->getAppointmentsByDate($appointmentDate) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAppointments operation/method
 */
if ($get->getAppointments(new \StructType\AppointmentSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAppointmentSearchCriteria operation/method
 */
if ($get->getAppointmentSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAppointmentByID operation/method
 */
if ($get->getAppointmentByID($appointmentID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getContactsByName operation/method
 */
if ($get->getContactsByName($firstName, $lastName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getContactsV2 operation/method
 */
if ($get->getContactsV2($lastSync, $cutoffDate) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getContactsByType operation/method
 */
if ($get->getContactsByType($type) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getContactByID operation/method
 */
if ($get->getContactByID($contactID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getContactSearchCriteria operation/method
 */
if ($get->getContactSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getTaskListsByDueDate operation/method
 */
if ($get->getTaskListsByDueDate($dueDate) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getTasksByDueDate operation/method
 */
if ($get->getTasksByDueDate($dueDate) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getTaskByID operation/method
 */
if ($get->getTaskByID($taskID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getUserActivityDTO operation/method
 */
if ($get->getUserActivityDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCampaignSourceDTO operation/method
 */
if ($get->getCampaignSourceDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getDocumentDTO operation/method
 */
if ($get->getDocumentDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCharges operation/method
 */
if ($get->getCharges($paymentID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLineItemDTO operation/method
 */
if ($get->getLineItemDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getProspectDTO operation/method
 */
if ($get->getProspectDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getUnitsForBuilding operation/method
 */
if ($get->getUnitsForBuilding($buildingID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getSyncGroups operation/method
 */
if ($get->getSyncGroups() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getSyncVersion operation/method
 */
if ($get->getSyncVersion() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getActivities operation/method
 */
if ($get->getActivities($lastSync, $portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCustomers operation/method
 */
if ($get->getCustomers($orgID, $portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCreditMemos operation/method
 */
if ($get->getCreditMemos($lastSync, $cutoffDate, $portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getContactDTO operation/method
 */
if ($get->getContactDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAppointmentDTO operation/method
 */
if ($get->getAppointmentDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getTaskDTO operation/method
 */
if ($get->getTaskDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getTaskListDTO operation/method
 */
if ($get->getTaskListDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCustomFieldDTO operation/method
 */
if ($get->getCustomFieldDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPropertyManagerDTO operation/method
 */
if ($get->getPropertyManagerDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCampaignDTO operation/method
 */
if ($get->getCampaignDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyVendorLedger operation/method
 */
if ($get->getReadOnlyVendorLedger(new \StructType\ReadOnlyVendorLedgerSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyVendorLedgerBillDTO operation/method
 */
if ($get->getReadOnlyVendorLedgerBillDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyVendorLedgerBillSplitDTO operation/method
 */
if ($get->getReadOnlyVendorLedgerBillSplitDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyVendorLedgerBillPaymentDTO operation/method
 */
if ($get->getReadOnlyVendorLedgerBillPaymentDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyVendorLedgerCheckDTO operation/method
 */
if ($get->getReadOnlyVendorLedgerCheckDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyVendorLedgerDTO operation/method
 */
if ($get->getReadOnlyVendorLedgerDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReadOnlyVendorLedgerDTOSearchCriteria operation/method
 */
if ($get->getReadOnlyVendorLedgerDTOSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getEPayInfoDTO operation/method
 */
if ($get->getEPayInfoDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getInspectionSearchCriteria operation/method
 */
if ($get->getInspectionSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getInspectionItemDTO operation/method
 */
if ($get->getInspectionItemDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getInspectionAreaDTO operation/method
 */
if ($get->getInspectionAreaDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getInspectionDTO operation/method
 */
if ($get->getInspectionDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPaymentMethodDTO operation/method
 */
if ($get->getPaymentMethodDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBillPaymentDTO operation/method
 */
if ($get->getBillPaymentDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getUnitDTO operation/method
 */
if ($get->getUnitDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getSyncGroupDTO operation/method
 */
if ($get->getSyncGroupDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getActivityDTO operation/method
 */
if ($get->getActivityDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getOwnerDTO operation/method
 */
if ($get->getOwnerDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getVendorTypeDTO operation/method
 */
if ($get->getVendorTypeDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCreditMemoDTO operation/method
 */
if ($get->getCreditMemoDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBankDepositDTO operation/method
 */
if ($get->getBankDepositDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getItemDTO operation/method
 */
if ($get->getItemDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getChargeDTO operation/method
 */
if ($get->getChargeDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAccountDTO operation/method
 */
if ($get->getAccountDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getProspectSearchCriteria operation/method
 */
if ($get->getProspectSearchCriteria() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getProspectsByName operation/method
 */
if ($get->getProspectsByName($firstName, $lastName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getProspectsByStatus operation/method
 */
if ($get->getProspectsByStatus($status) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getProspectsByCreateDate operation/method
 */
if ($get->getProspectsByCreateDate($createDate) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getContactsGroupCount operation/method
 */
if ($get->getContactsGroupCount($lastSync, $cutoffDate) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getContacts operation/method
 */
if ($get->getContacts(new \StructType\ContactSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeasingAgents operation/method
 */
if ($get->getLeasingAgents() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCampaign operation/method
 */
if ($get->getCampaign(new \StructType\CampaignSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCurrentUser operation/method
 */
if ($get->getCurrentUser() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getChargeGroupCount operation/method
 */
if ($get->getChargeGroupCount($lastSync, $cutoffDate, $portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPaymentGroupCount operation/method
 */
if ($get->getPaymentGroupCount($lastSync, $cutoffDate, $portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBillGroupCount operation/method
 */
if ($get->getBillGroupCount($lastSync, $cutoffDate, $portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBillPaymentGroupCount operation/method
 */
if ($get->getBillPaymentGroupCount($lastSync, $cutoffDate, $portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getVoidedBillPaymentGroupCount operation/method
 */
if ($get->getVoidedBillPaymentGroupCount($lastSync, $cutoffDate, $portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPayment operation/method
 */
if ($get->getPayment($paymentID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPortfolios operation/method
 */
if ($get->getPortfolios() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBankDeposits operation/method
 */
if ($get->getBankDeposits($lastSync, $cutoffDate) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeasingAgent operation/method
 */
if ($get->getLeasingAgent($agentID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLeases operation/method
 */
if ($get->getLeases(new \StructType\LeaseSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCustomer operation/method
 */
if ($get->getCustomer($customerID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBuildingList operation/method
 */
if ($get->getBuildingList() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getTasks operation/method
 */
if ($get->getTasks($lastSync, $cutoffDate) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBuilding operation/method
 */
if ($get->getBuilding(new \StructType\BuildingSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLease operation/method
 */
if ($get->getLease(new \StructType\LeaseSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getTenant operation/method
 */
if ($get->getTenant($leaseID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkOrder operation/method
 */
if ($get->getWorkOrder(new \StructType\WorkOrderSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getContact operation/method
 */
if ($get->getContact(new \StructType\ContactSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getProspect operation/method
 */
if ($get->getProspect(new \StructType\ProspectSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getUnit operation/method
 */
if ($get->getUnit(new \StructType\UnitSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getVendor operation/method
 */
if ($get->getVendor($vendorID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBills operation/method
 */
if ($get->getBills($lastSync, $cutoffDate, $group) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBuildings operation/method
 */
if ($get->getBuildings(new \StructType\BuildingSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkOrders operation/method
 */
if ($get->getWorkOrders(new \StructType\WorkOrderSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getProspects operation/method
 */
if ($get->getProspects(new \StructType\ProspectSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getInspections operation/method
 */
if ($get->getInspections(new \StructType\InspectionSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBuildingsForPortfolio operation/method
 */
if ($get->getBuildingsForPortfolio($portfolioID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBillPayments operation/method
 */
if ($get->getBillPayments($lastSync, $cutoffDate, $portfolioIds, $group) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBillSplits operation/method
 */
if ($get->getBillSplits($billID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAccount operation/method
 */
if ($get->getAccount($id) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getVendors operation/method
 */
if ($get->getVendors() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getOwners operation/method
 */
if ($get->getOwners(new \StructType\OwnerSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPortfolioList operation/method
 */
if ($get->getPortfolioList() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getTaskList operation/method
 */
if ($get->getTaskList($taskListID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPaymentDTO operation/method
 */
if ($get->getPaymentDTO() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReportOutput operation/method
 */
if ($get->getReportOutput(new \StructType\ReportConfiguration()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getItemList operation/method
 */
if ($get->getItemList() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getJournalEntries operation/method
 */
if ($get->getJournalEntries($lastSync, $cutoffDate, $portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getOwnerContribution operation/method
 */
if ($get->getOwnerContribution() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getRefund operation/method
 */
if ($get->getRefund($id) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBudgets operation/method
 */
if ($get->getBudgets(new \StructType\BudgetSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBudget operation/method
 */
if ($get->getBudget(new \StructType\BudgetSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPayments operation/method
 */
if ($get->getPayments($bankDepositID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getOwnerContributions operation/method
 */
if ($get->getOwnerContributions(new \StructType\OwnerContributionsSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPortfolioBuildingUnitDOM operation/method
 */
if ($get->getPortfolioBuildingUnitDOM($portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPortfolioBuildingUnitLeaseDOM operation/method
 */
if ($get->getPortfolioBuildingUnitLeaseDOM($portfolioIds) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getNachaChecks operation/method
 */
if ($get->getNachaChecks($startDate, $endDate) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPropertyPhotos operation/method
 */
if ($get->getPropertyPhotos($buildingID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPropertyPhoto operation/method
 */
if ($get->getPropertyPhoto($buildingID, $documentID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAllPortfolios operation/method
 */
if ($get->getAllPortfolios() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAllAccounts operation/method
 */
if ($get->getAllAccounts() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getActiveLeaseForRentableBuilding operation/method
 */
if ($get->getActiveLeaseForRentableBuilding($buildingId) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getActiveLeaseForUnit operation/method
 */
if ($get->getActiveLeaseForUnit($unitId) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getDefaultReportConfiguration operation/method
 */
if ($get->getDefaultReportConfiguration($reportName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPublishedReportsForContact operation/method
 */
if ($get->getPublishedReportsForContact($contactID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLineItems operation/method
 */
if ($get->getLineItems($id) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCustomData operation/method
 */
if ($get->getCustomData($entityType, $entityID) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAccountList operation/method
 */
if ($get->getAccountList() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getUnits operation/method
 */
if ($get->getUnits(new \StructType\UnitSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getOwner operation/method
 */
if ($get->getOwner(new \StructType\OwnerSearchCriteria()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getUsers operation/method
 */
if ($get->getUsers() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Samples for Update ServiceType
 */
$update = new \ServiceType\Update($options);
/**
 * Sample call for updateOwner operation/method
 */
if ($update->updateOwner(new \StructType\Owner()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateOwners operation/method
 */
if ($update->updateOwners($owners) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateBuildings operation/method
 */
if ($update->updateBuildings($buildings) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateUnits operation/method
 */
if ($update->updateUnits($units) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateApplicant operation/method
 */
if ($update->updateApplicant(new \StructType\Applicant()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateApplicants operation/method
 */
if ($update->updateApplicants($applicants) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateLeases operation/method
 */
if ($update->updateLeases($leases) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateVendors operation/method
 */
if ($update->updateVendors($vendors) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateAccounts operation/method
 */
if ($update->updateAccounts($accounts) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateBank operation/method
 */
if ($update->updateBank(new \StructType\Bank()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateBanks operation/method
 */
if ($update->updateBanks($banks) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateWorkOrder operation/method
 */
if ($update->updateWorkOrder(new \StructType\WorkOrder()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateWorkOrders operation/method
 */
if ($update->updateWorkOrders($workOrders) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateBudget operation/method
 */
if ($update->updateBudget(new \StructType\Budget()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateBudgets operation/method
 */
if ($update->updateBudgets($budgets) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateBackgroundScreeningStatus operation/method
 */
if ($update->updateBackgroundScreeningStatus($screeningId, $checkStatusResponseXML) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateAppointment operation/method
 */
if ($update->updateAppointment(new \StructType\Appointment()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateTaskList operation/method
 */
if ($update->updateTaskList(new \StructType\TaskList()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updatePortfolios operation/method
 */
if ($update->updatePortfolios($portfolios) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateContact operation/method
 */
if ($update->updateContact(new \StructType\Contact()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateProspect operation/method
 */
if ($update->updateProspect(new \StructType\Prospect()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateBankDeposit operation/method
 */
if ($update->updateBankDeposit(new \StructType\BankDeposit()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updatePaymentStatus operation/method
 */
if ($update->updatePaymentStatus($orgID, new \StructType\UpdatePayment()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateQuickBooksTag operation/method
 */
if ($update->updateQuickBooksTag($entityType, $pwId, $qbID) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateBill operation/method
 */
if ($update->updateBill(new \StructType\Bill()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateAccount operation/method
 */
if ($update->updateAccount(new \StructType\Account()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateTimeEntryByID operation/method
 */
if ($update->updateTimeEntryByID($workOrderID, $timeEntryID, $vendorID, $date, $hours, $rate, $comments) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updatePayment operation/method
 */
if ($update->updatePayment(new \StructType\Payment()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateLease operation/method
 */
if ($update->updateLease(new \StructType\Lease()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateContacts operation/method
 */
if ($update->updateContacts($contacts) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateDocument operation/method
 */
if ($update->updateDocument(new \StructType\Document()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateTask operation/method
 */
if ($update->updateTask(new \StructType\Task()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateNote operation/method
 */
if ($update->updateNote(new \StructType\Note()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updatePortfolio operation/method
 */
if ($update->updatePortfolio(new \StructType\Portfolio()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateBuilding operation/method
 */
if ($update->updateBuilding(new \StructType\Building()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateUnit operation/method
 */
if ($update->updateUnit(new \StructType\Unit()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateCharge operation/method
 */
if ($update->updateCharge(new \StructType\Charge()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateBillPayment operation/method
 */
if ($update->updateBillPayment(new \StructType\BillPayment()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateJournalEntry operation/method
 */
if ($update->updateJournalEntry(new \StructType\JournalEntry()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateRefund operation/method
 */
if ($update->updateRefund(new \StructType\Refund()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateActivity operation/method
 */
if ($update->updateActivity(new \StructType\Activity()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateCreditMemo operation/method
 */
if ($update->updateCreditMemo(new \StructType\CreditMemo()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateVendor operation/method
 */
if ($update->updateVendor(new \StructType\Vendor()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Samples for Create ServiceType
 */
$create = new \ServiceType\Create($options);
/**
 * Sample call for createOwners operation/method
 */
if ($create->createOwners($owners, new \StructType\Portfolio()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createBuildings operation/method
 */
if ($create->createBuildings($buildings, new \StructType\Portfolio()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createUnits operation/method
 */
if ($create->createUnits($units, new \StructType\Building()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createApplicants operation/method
 */
if ($create->createApplicants($applicants) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createLeases operation/method
 */
if ($create->createLeases($leases, new \StructType\Unit()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createVendors operation/method
 */
if ($create->createVendors($vendors) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createAccounts operation/method
 */
if ($create->createAccounts($accounts) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createBank operation/method
 */
if ($create->createBank(new \StructType\Bank()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createBanks operation/method
 */
if ($create->createBanks($banks) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createWorkOrders operation/method
 */
if ($create->createWorkOrders($workOrders) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createBudget operation/method
 */
if ($create->createBudget(new \StructType\Budget(), new \StructType\Building()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createBudgets operation/method
 */
if ($create->createBudgets($budgets, new \StructType\Building()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createDepositTicket operation/method
 */
if ($create->createDepositTicket(new \StructType\DepositTicket()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createCustomFieldDefinitions operation/method
 */
if ($create->createCustomFieldDefinitions($customFieldDefinitions) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createTaskList operation/method
 */
if ($create->createTaskList(new \StructType\TaskList()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createOwner operation/method
 */
if ($create->createOwner(new \StructType\Owner(), new \StructType\Portfolio()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createPaymentV2 operation/method
 */
if ($create->createPaymentV2($leaseId, $amt, $depositDate, $asOfDate, $refNo, $depositBankAcctNumber, $comments, $epayTxnId, $payor) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createOrUpdatePaymentInfoForVendor operation/method
 */
if ($create->createOrUpdatePaymentInfoForVendor(new \StructType\EPayInfo(), new \StructType\Vendor()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createOwnerContributionV2 operation/method
 */
if ($create->createOwnerContributionV2($portfolioId, $customerId, $amt, $depositDate, $asOfDate, $refNo, $depositBankAcctNumber, $comments, $epayTxnId, $payor) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createUnitProspect operation/method
 */
if ($create->createUnitProspect($orgID, $unitID, $firstName, $lastName, $email, $country, $phone, $alternatePhone, $preferredContactMethod, $desiredUnitZip, $desiredUnitCity, $desiredUnitState, $comments) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createApplication operation/method
 */
if ($create->createApplication($orgID, $unitID, $firstName, $middle, $lastName, $dob, $gender, $address, $apt, $city, $state, $zip, $emailAddress, $source) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createBankDeposit operation/method
 */
if ($create->createBankDeposit($bankAccountNumber, $listOfTxIds) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createPayment operation/method
 */
if ($create->createPayment($orgID, $leaseId, $amt, $date, $refNo, $depositBankAcctNumber, $comments, $epayTxnId) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createOwnerContribution operation/method
 */
if ($create->createOwnerContribution($portfolioId, $customerId, $amt, $depositDate, $refNo, $depositBankAcctNumber, $comments, $epayTxnId) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createAccount operation/method
 */
if ($create->createAccount(new \StructType\Account()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createApplicant operation/method
 */
if ($create->createApplicant(new \StructType\Applicant()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createTask operation/method
 */
if ($create->createTask(new \StructType\Task()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createPortfolio operation/method
 */
if ($create->createPortfolio($name, $abbreviation) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createBuilding operation/method
 */
if ($create->createBuilding(new \StructType\Building(), new \StructType\Portfolio()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createWorkOrder operation/method
 */
if ($create->createWorkOrder(new \StructType\WorkOrder()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createUnit operation/method
 */
if ($create->createUnit(new \StructType\Unit(), new \StructType\Building()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createContact operation/method
 */
if ($create->createContact(new \StructType\Contact()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createLease operation/method
 */
if ($create->createLease(new \StructType\Lease(), new \StructType\Unit()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createOrUpdateAccount operation/method
 */
if ($create->createOrUpdateAccount(new \StructType\Account()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createOrUpdateVendor operation/method
 */
if ($create->createOrUpdateVendor(new \StructType\Vendor()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createVendor operation/method
 */
if ($create->createVendor(new \StructType\Vendor()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createAppointment operation/method
 */
if ($create->createAppointment(new \StructType\Appointment()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createProspectWithAppointment operation/method
 */
if ($create->createProspectWithAppointment($orgID, new \StructType\Prospect(), new \StructType\Appointment()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createContacts operation/method
 */
if ($create->createContacts($contacts) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createOrUpdateBill operation/method
 */
if ($create->createOrUpdateBill(new \StructType\Bill()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createBillPayment operation/method
 */
if ($create->createBillPayment(new \StructType\BillPayment()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createProspect operation/method
 */
if ($create->createProspect($orgID, $firstName, $lastName, $email, $country, $phone, $alternatePhone, $preferredContactMethod, $desiredUnitZip, $desiredUnitCity, $desiredUnitState, $comments, $prospectType) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createUnitProspectAndEmailBrochure operation/method
 */
if ($create->createUnitProspectAndEmailBrochure($orgID, $unitID, $firstName, $lastName, $email, $country, $phone, $alternatePhone, $preferredContactMethod, $desiredUnitZip, $desiredUnitCity, $desiredUnitState, $comments) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createPortfolios operation/method
 */
if ($create->createPortfolios($portfolios) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Samples for Append ServiceType
 */
$append = new \ServiceType\Append($options);
/**
 * Sample call for appendOwnerLedgerItems operation/method
 */
if ($append->appendOwnerLedgerItems(new \StructType\OwnerLedger(), new \StructType\Owner()) !== false) {
    print_r($append->getResult());
} else {
    print_r($append->getLastError());
}
/**
 * Sample call for appendLeaseLedgerItems operation/method
 */
if ($append->appendLeaseLedgerItems(new \StructType\LeaseLedger(), new \StructType\Lease()) !== false) {
    print_r($append->getResult());
} else {
    print_r($append->getLastError());
}
/**
 * Sample call for appendVendorLedgerItems operation/method
 */
if ($append->appendVendorLedgerItems(new \StructType\VendorLedger(), new \StructType\Vendor()) !== false) {
    print_r($append->getResult());
} else {
    print_r($append->getLastError());
}
/**
 * Samples for Find ServiceType
 */
$find = new \ServiceType\Find($options);
/**
 * Sample call for findProspectByPhoneNumberOrEmailAddress operation/method
 */
if ($find->findProspectByPhoneNumberOrEmailAddress($phoneNumber, $emailAddress) !== false) {
    print_r($find->getResult());
} else {
    print_r($find->getLastError());
}
/**
 * Samples for Attach ServiceType
 */
$attach = new \ServiceType\Attach($options);
/**
 * Sample call for attachDocumentToContact operation/method
 */
if ($attach->attachDocumentToContact(new \StructType\Document(), new \StructType\Contact()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachDocumentToLease operation/method
 */
if ($attach->attachDocumentToLease(new \StructType\Document(), new \StructType\Lease()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachDocumentToPortfolio operation/method
 */
if ($attach->attachDocumentToPortfolio(new \StructType\Document(), new \StructType\Portfolio()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachDocumentToProspect operation/method
 */
if ($attach->attachDocumentToProspect(new \StructType\Document(), new \StructType\Prospect()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachDocumentToUnit operation/method
 */
if ($attach->attachDocumentToUnit(new \StructType\Document(), new \StructType\Unit()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachDocumentToVendor operation/method
 */
if ($attach->attachDocumentToVendor(new \StructType\Document(), new \StructType\Vendor()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachNoteToContact operation/method
 */
if ($attach->attachNoteToContact(new \StructType\Note(), new \StructType\Contact()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachNoteToLease operation/method
 */
if ($attach->attachNoteToLease(new \StructType\Note(), new \StructType\Lease()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachNoteToPortfolio operation/method
 */
if ($attach->attachNoteToPortfolio(new \StructType\Note(), new \StructType\Portfolio()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachNoteToProspect operation/method
 */
if ($attach->attachNoteToProspect(new \StructType\Note(), new \StructType\Prospect()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachNoteToUnit operation/method
 */
if ($attach->attachNoteToUnit(new \StructType\Note(), new \StructType\Unit()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachNoteToBuilding operation/method
 */
if ($attach->attachNoteToBuilding(new \StructType\Note(), new \StructType\Building()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachNoteToVendor operation/method
 */
if ($attach->attachNoteToVendor(new \StructType\Note(), new \StructType\Vendor()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachNoteToWorkOrder operation/method
 */
if ($attach->attachNoteToWorkOrder(new \StructType\Note(), new \StructType\WorkOrder()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachImageToBuilding operation/method
 */
if ($attach->attachImageToBuilding(new \StructType\Document(), new \StructType\Building()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachDocumentToWorkOrder operation/method
 */
if ($attach->attachDocumentToWorkOrder(new \StructType\Document(), new \StructType\WorkOrder()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachDocumentToBill operation/method
 */
if ($attach->attachDocumentToBill($billId, new \StructType\Document()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Sample call for attachNoteToOwner operation/method
 */
if ($attach->attachNoteToOwner(new \StructType\Note(), new \StructType\Owner()) !== false) {
    print_r($attach->getResult());
} else {
    print_r($attach->getLastError());
}
/**
 * Samples for Submit ServiceType
 */
$submit = new \ServiceType\Submit($options);
/**
 * Sample call for submitApplicationPayment operation/method
 */
if ($submit->submitApplicationPayment($prospectID, $nameOnCard, $cardNumber, $cardMonth, $cardYear) !== false) {
    print_r($submit->getResult());
} else {
    print_r($submit->getLastError());
}
/**
 * Samples for Echo ServiceType
 */
$echo = new \ServiceType\_Echo($options);
/**
 * Sample call for echoString operation/method
 */
if ($echo->echoString($arg) !== false) {
    print_r($echo->getResult());
} else {
    print_r($echo->getLastError());
}
/**
 * Samples for Delete ServiceType
 */
$delete = new \ServiceType\Delete($options);
/**
 * Sample call for deleteContact operation/method
 */
if ($delete->deleteContact($id) !== false) {
    print_r($delete->getResult());
} else {
    print_r($delete->getLastError());
}
/**
 * Sample call for deleteTransaction operation/method
 */
if ($delete->deleteTransaction($id) !== false) {
    print_r($delete->getResult());
} else {
    print_r($delete->getLastError());
}
/**
 * Sample call for deleteTimeEntryByID operation/method
 */
if ($delete->deleteTimeEntryByID($workOrderID, $timeEntryID, $vendorID) !== false) {
    print_r($delete->getResult());
} else {
    print_r($delete->getLastError());
}
/**
 * Samples for Post ServiceType
 */
$post = new \ServiceType\Post($options);
/**
 * Sample call for postSyncLog operation/method
 */
if ($post->postSyncLog($errors, $syncLog) !== false) {
    print_r($post->getResult());
} else {
    print_r($post->getLastError());
}
/**
 * Samples for Log ServiceType
 */
$log = new \ServiceType\Log($options);
/**
 * Sample call for logLeasingDeskInvoice operation/method
 */
if ($log->logLeasingDeskInvoice($billingId, $billingPeriod, $subTotal, $salesTax, $totalAmount, $quantity, $invoiceId) !== false) {
    print_r($log->getResult());
} else {
    print_r($log->getLastError());
}
/**
 * Sample call for logProspectActivity operation/method
 */
if ($log->logProspectActivity(new \StructType\Prospect(), new \StructType\UserActivity()) !== false) {
    print_r($log->getResult());
} else {
    print_r($log->getLastError());
}
/**
 * Samples for Set ServiceType
 */
$set = new \ServiceType\Set($options);
/**
 * Sample call for setPublishStatusForUnitByID operation/method
 */
if ($set->setPublishStatusForUnitByID($publishStatus, $featureStatus, $unitID, $systemID) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Sample call for setPublishStatusForBuilding operation/method
 */
if ($set->setPublishStatusForBuilding($publishStatus, $featureStatus, $isForRent, $unitID, $systemID) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Sample call for setProspectStatusByID operation/method
 */
if ($set->setProspectStatusByID($systemID, $prospectID, $status) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Samples for Add ServiceType
 */
$add = new \ServiceType\Add($options);
/**
 * Sample call for addTimeEntry operation/method
 */
if ($add->addTimeEntry($workOrderID, $vendorID, $date, $hours, $rate, $comments) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Samples for Close ServiceType
 */
$close = new \ServiceType\Close($options);
/**
 * Sample call for closeWorkOrder operation/method
 */
if ($close->closeWorkOrder($workOrderID, $category, $closingComments, $startDate, $completedDate) !== false) {
    print_r($close->getResult());
} else {
    print_r($close->getLastError());
}
/**
 * Samples for Approve ServiceType
 */
$approve = new \ServiceType\Approve($options);
/**
 * Sample call for approveWorkOrder operation/method
 */
if ($approve->approveWorkOrder($workOrderID, $approved, $approvedDate, $approvalComment) !== false) {
    print_r($approve->getResult());
} else {
    print_r($approve->getLastError());
}
/**
 * Samples for Enable ServiceType
 */
$enable = new \ServiceType\Enable($options);
/**
 * Sample call for enableQbMessages operation/method
 */
if ($enable->enableQbMessages() !== false) {
    print_r($enable->getResult());
} else {
    print_r($enable->getLastError());
}
/**
 * Samples for Clear ServiceType
 */
$clear = new \ServiceType\Clear($options);
/**
 * Sample call for clearNonSystemGLAccounts operation/method
 */
if ($clear->clearNonSystemGLAccounts() !== false) {
    print_r($clear->getResult());
} else {
    print_r($clear->getLastError());
}
